﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace HostAnyControl
{
    public class ComplexDataType: INotifyPropertyChanged
    {
        private bool isEnabled = false;
        private string value = String.Empty;

        public ComplexDataType() { }

        public ComplexDataType(bool enabled, string value)
        {
            this.isEnabled = enabled;
            this.value = value;
        }

        public bool IsEnabled
        {
            get { return this.isEnabled; }
            set
            {
                if (this.isEnabled == value)
                    return;

                this.isEnabled = value;
                OnPropertyChanged("IsEnabled");
            }
        }

        public string Value
        {
            get { return this.value; }
            set
            {
                if (this.value == value)
                    return;

                this.value = value;
                OnPropertyChanged("Value");
            }
        }

        private void OnPropertyChanged(string property)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(property));
        }

        public event PropertyChangedEventHandler PropertyChanged;
    }
}
